com.holonplatform.jaxrs.swagger.spring

## Class SwaggerJerseyAutoConfiguration

- java.lang.Object
- - com.holonplatform.jaxrs.swagger.spring.SwaggerJerseyAutoConfiguration

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.boot.autoconfigure.jersey.ResourceConfigCustomizer

      @Configuration
       @ConditionalOnClass(value=io.swagger.models.Swagger.class)
       @ConditionalOnBean(type="org.glassfish.jersey.server.ResourceConfig")
       @EnableConfigurationProperties(value=SwaggerConfigurationProperties.class)
      public class SwaggerJerseyAutoConfiguration
      extends Object
      implements org.springframework.beans.factory.BeanClassLoaderAware, org.springframework.boot.autoconfigure.jersey.ResourceConfigCustomizer

  Spring Boot Swagger auto-configuration class for Jersey runtime.
  Since:
    5.0.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwaggerJerseyAutoConfiguration(SwaggerConfigurationProperties configurationProperties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `customize(org.glassfish.jersey.server.ResourceConfig config)`
    `void` | `setBeanClassLoader(ClassLoader classLoader)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SwaggerJerseyAutoConfiguration

          public SwaggerJerseyAutoConfiguration(SwaggerConfigurationProperties configurationProperties)

  - ### Method Detail

    - #### setBeanClassLoader

          public void setBeanClassLoader(ClassLoader classLoader)

      Specified by:
        `setBeanClassLoader` in interface `org.springframework.beans.factory.BeanClassLoaderAware`

    - #### customize

          public void customize(org.glassfish.jersey.server.ResourceConfig config)

      Specified by:
        `customize` in interface `org.springframework.boot.autoconfigure.jersey.ResourceConfigCustomizer`

Copyright © 2017 The Holon Platform. All rights reserved.